Bug 251088 - multimedia/libhdhomerun: Update to 20200907
Summary: multimedia/libhdhomerun: Update to 20200907
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kevin Bowling
URL: https://www.silicondust.com/support/d...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-11-12 23:44 UTC by David O'Rourke
Modified: 2021-06-15 14:56 UTC (History)
2 users (show)

See Also:
kbowling: merge-quarterly+


Attachments
multimedia/libhdhomerun: Update to 20200907 (2.75 KB, patch)
2020-11-12 23:44 UTC, David O'Rourke
dor.bsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David O'Rourke 2020-11-12 23:44:06 UTC
Created attachment 219615 [details]
multimedia/libhdhomerun: Update to 20200907

This patch updates multimedia/libhdhomerun to 20200907.

A full changelog can be found at https://www.silicondust.com/support/downloads/software-changelog/

-David
Comment 1 David O'Rourke 2020-11-12 23:45:11 UTC
Comment on attachment 219615 [details]
multimedia/libhdhomerun: Update to 20200907

This diff also removes a patch which is now included in the upstream release.
Comment 2 Automation User 2020-11-12 23:48:15 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/215502394
Comment 3 Fernando Apesteguía freebsd_committer 2020-11-13 07:47:48 UTC
Hi David, this one includes a crash fix. Do you think it should me merged to quaterly?

Thanks!
Comment 4 David O'Rourke 2020-11-13 10:49:37 UTC
Hi,

Looks like the crash is in the Recording features, which I don't use myself so I have no idea how bad it is (I use this library via tvheadend which doesn't rely on the native HDHomeRun record feature), but it probably couldn't hurt to include it in quarterly.

-David
Comment 5 Fernando Apesteguía freebsd_committer 2020-11-13 11:09:59 UTC
(In reply to David O'Rourke from comment #4)
Thanks
Comment 6 commit-hook freebsd_committer 2021-06-15 14:55:13 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=63bb888a3d08b7298e9563a73dd371f40d9838a7

commit 63bb888a3d08b7298e9563a73dd371f40d9838a7
Author:     David O'Rourke <dor.bsd@xm0.uk>
AuthorDate: 2021-06-15 14:53:45 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-06-15 14:53:45 +0000

    multimedia/libhdhomerun: Update to 20200907

    Changes https://www.silicondust.com/support/downloads/software-changelog/

    PR:             251088
    Approved by:    maintainer
    MFH:            2021Q2

 multimedia/libhdhomerun/Makefile                   |  3 +-
 multimedia/libhdhomerun/distinfo                   |  6 ++--
 .../files/patch-hdhomerun__discover.c (gone)       | 35 ----------------------
 3 files changed, 4 insertions(+), 40 deletions(-)
Comment 7 commit-hook freebsd_committer 2021-06-15 14:56:14 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=914092bdcf3ca9e6dfd2915038e252aec8880780

commit 914092bdcf3ca9e6dfd2915038e252aec8880780
Author:     David O'Rourke <dor.bsd@xm0.uk>
AuthorDate: 2021-06-15 14:53:45 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-06-15 14:55:34 +0000

    multimedia/libhdhomerun: Update to 20200907

    Changes https://www.silicondust.com/support/downloads/software-changelog/

    PR:             251088
    Approved by:    maintainer
    MFH:            2021Q2

    (cherry picked from commit 63bb888a3d08b7298e9563a73dd371f40d9838a7)

 multimedia/libhdhomerun/Makefile                   |  3 +-
 multimedia/libhdhomerun/distinfo                   |  6 ++--
 .../files/patch-hdhomerun__discover.c (gone)       | 35 ----------------------
 3 files changed, 4 insertions(+), 40 deletions(-)
Comment 8 Kevin Bowling freebsd_committer 2021-06-15 14:56:31 UTC
Thanks for your contribution!